# PC端在线支付接入规范文档4.2.1
[上海偶可贝网络科技有限公司](https://www.allpayx.com)

* 版本信息：中文 V4.2.1
* 更新时间：2018 年6 月

#### 1.概述

AllPay 为客户提供统一的api接入，以帮助客户实 现快速、安全、集中式的接入支付渠道。
#### 2.交易流程 
![image](https://git.allpayx.com/OpenAPI/b2c/raw/master/images/pc_flowsheet.png)

#### 3.通用API说明 
商户服务器和 AllPay 网关对接的通用接口,每个渠道都具有的功能,包括:消费,退款,查询接口。 

##### 3.1. 验签说明 
```
1.对于发送到 ALLPAY 系统的 POST 请求报文，其中所有传入参数(除 signature 参数外)按照字段名的 ASCII 码从小到大排序后(字典序)，使用 URL 键值对的格式(即 key1=value1&key2=value2...)拼接成字符串 String1。

2.在 String1 最后直接拼接(不需要用“&”连接)双方约定的签名密钥 K1(接入时 ALLPAY 时分配)，得到 stringSignTemp 字符串,并对 stringSignTemp 进行 md5 运算，得到 signature 的值。

3.示例签名串 acqID=99020344&backURL=https://www.baidu.com&charSet=UTF-8&frontURL=nil&goodsInfo=iPhone x&merID=800039253992510&merReserve=&orderAmount=1.00&orderCurrency=INR&orderNum=ap0180417163142&paymentSchema=EB&signType=MD5&transTime=20180417163142&transType=PURC&trxn_email_id=benson.zhang@allpayx.com&trxn_firstname=benson zhang&trxn_is_coupon_enabled=1&trxn_phone=15026528888&unique_id=abcde12345&version=VER000000002f3e0e436cd24430aa4aaaed597450f26 
```
##### 3.2. 通用API 接入地址 
 交易名称  |开发调试地址|生产交易地址  
 ------- |-----------|-------
 消费接口 |https://testapi.allpayx.com/pay/v1 |https://api.allpayx.com/pay/v1 
 查询接口 |https://testapi.allpayx.com/pay/v1 |https://api.allpayx.com/pay/v1 
 退款接口 |https://testapi.allpayx.com/pay/v1 |https://api.allpayx.com/pay/v1 

                            


##### 3.3. 消费交易接口

1. 请求报文格式

	下面列举的字段为通用字段，每个渠道都需要上送，部分渠道有渠道专属字段，具体字段请到该渠道的专属渠到字段说明处查看. 消费接口分为跳转型和参数返回型，默认为跳转型，参数返回型会在 第4章（渠道专属配置）里面说明

 序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
 1|版本号|12|文本|version |统一填写为“VER000000002” 
 2|字符集编码 |6|文本|charSet  |统一填写为“UTF-8” 
 3|交易类型  |4|文本|transType |消费交易填写“PURC” 
 4|订单号   |60|文本|orderNum  |商户自行定义，需保证同一商户号下订单号不能重复 
 5|订单金额 |12|文本|orderAmount   |如 100 元，表示为 100 或 100.00 
 6|订单币种   |3|文本|orderCurrency |人民币填写“CNY”,美元填写"USD" 
 7|前端 URL 地址 |400|文本|frontURL  |支付结果前端通知到该地址 
 8|后端 URL 地址 |400|文本|backURL   |支付结果异步通知到该地址 
 9|商户预留字段  |1024 |文本|merReserve    |商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 
 10|商户代码   |15 |文本|merID     |商户 ID，由AllPay 分配 
 11|收单行 ID    |11  |文本|acqID      |收单行 ID "99020344" 
 12|支付渠道代码    |10  |文本|paymentSchema|渠道代码：[点击查看详情](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md)
 13|商品信息    |60  |文本|goodsInfo       | 商品信息
 14|交易时间    |14  |文本|transTime       |交易时间,格式:"yyyyMMddHHmmss" 
 15|签名类型     |3  |文本|signType        |MD5 
 16|签名      |32  |文本|signature         |采用 MD5 签名 



2. 跳转型消费接口响应报文

	商户需要提供一个 http/https 协议的接口，包含在参数里传递给 SDK，即 backURL。AllPay 
服务器在支付完成后，会以 Get 方式调用 backURL，通知支付结果。 

参数如下表: 


 序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
 1|版本号|12|文本|version |统一填写为“VER000000002” 
 2|字符集编码 |6|文本|charSet  |统一填写为“UTF-8” 
 3|交易类型  |4|文本|transType |消费交易填写“PURC” 
 4|订单号   |60|文本|orderNum  |商户自行定义，需保证同一商户号下订单号不能重复 
 5|订单金额 |12|文本|orderAmount   |如 100 元，表示为 100 或 100.00 
 6|订单币种   |3|文本|orderCurrency |人民币填写“CNY”,美元填写"USD" 
 7|清算金额  |12 |文本|settAmount   |如 100 元，表示为 100 或 100.00  
 8|清算币种  |3|文本|settCurrency    |符合 ISO 标准，填写数字类型 
 9|清算汇率   |7|文本|rate     |实际汇率，7 位有效数字  
 10|商户预留字段  |1024 |文本|merReserve    |商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 
 11|GW 交易 ID  |32|文本|transID    |GW 系统生成的交易 ID，每笔交易保持唯一
 12|商户代码   |15 |文本|merID     |商户 ID，由AllPay 分配 
 13|收单行 ID    |11  |文本|acqID      |收单行 ID "99020344" 
 14|支付渠道代码    |10  |文本|paymentSchema|渠道代码：[点击查看详情](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md)
 15|交易应答码   |2  |文本|RespCode       |应答码 00-成功  
 16|应答文字信息    |20  |文本|RespMsg        |应答消息，全部为英文字符 
 17|交易时间    |14  |文本|transTime       |交易时间,格式:"yyyyMMddHHmmss" 
 18|GW 处理时间 |14  |文本|GWTime |YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间
 19|签名类型     |3  |文本|signType        |MD5 
 20|签名      |32  |文本|signature         |采用 MD5 签名 

##### 3.4. 查询交易接口 



1. 接口说明

 该接口为接入商家提供交易查询的功能。

2. 请求报文格式 


 序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
 1|版本号|12|文本|version |统一填写为“VER000000002” 
 2|字符集编码 |6|文本|charSet  |统一填写为“UTF-8” 
 3|交易类型  |4|文本|transType |查询填写“INQY”  
 4|订单号   |60|文本|orderNum  |商户自行定义，需保证同一商户号下订单号不能重复 
 5|商户预留字段  |1024 |文本|merReserve    |商户保留 
 6|商户代码   |15 |文本|merID     |商户 ID，由AllPay 分配 
 7|收单行 ID    |11  |文本|acqID      |收单行 ID "99020344" 
 8|支付渠道代码    |10  |文本|paymentSchema|渠道代码：[点击查看详情](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md)
 9|交易时间    |14  |文本|transTime       |交易时间,格式:"yyyyMMddHHmmss" 
 10|签名类型     |3  |文本|signType        |MD5 
 11|签名      |32  |文本|signature         |采用 MD5 签名 


3. 响应报文格式


  序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
 1|版本号|12|文本|version |统一填写为“VER000000002” 
 2|字符集编码 |6|文本|charSet  |统一填写为“UTF-8” 
 3|交易类型  |4|文本|transType |查询交易填写为“INQY 
 4|订单号   |60|文本|orderNum  |商户自行定义，需保证同一商户号下订单号不能重复 
 5|GW 交易 ID  |32|文本|transID    |GW 系统生成的交易 ID，每笔交易保持唯一  
 6|商户代码   |15 |文本|merID     |商户 ID，由AllPay 分配 
 7|收单行 ID    |11  |文本|acqID      |收单行 ID "99020344" 
 8|交易应答码   |2  |文本|RespCode       |应答码 00-成功  
 9|应答文字信息    |20  |文本|RespMsg        |应答消息，全部为英文字符 
 10|交易时间    |14  |文本|transTime       |交易时间,格式:"yyyyMMddHHmmss" 
 11|GW 处理时间 |14  |文本|GWTime |YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间 
 12|签名类型     |3  |文本|signType        |MD5 
 13|签名      |32  |文本|signature         |采用 MD5 签名 

##### 3.5. 退款交易接口

1.接口功能说明 

该接口为接入商家提供交易退款的功能。 

2.请求报文格式 

  序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
 1|版本号|12|文本|version |统一填写为“VER000000002” 
 2|字符集编码 |6|文本|charSet  |统一填写为“UTF-8” 
 3|交易类型  |4|文本|transType |退款填写“REFD” 
 4|订单号   |60|文本|orderNum  |商户自行定义，需保证同一商户号下订单号不能重复 
 5|退款金额  |12|文本|returnAmount    |如 100 元，表示为 100 或 100.00 
 6|订单币种   |3|文本|orderCurrency |人民币填写“CNY”,美元填写"USD" 
 7|商户预留字段  |1024 |文本|merReserve    |商户预留内容，可传任意内容，如购买商品信息、员号等，但不要传特殊符号，如逗号。 
 8|商户代码   |15 |文本|merID     |商户 ID，由AllPay 分配 
 9|收单行 ID    |11  |文本|acqID      |收单行 ID "99020344" 
 10|支付渠道代码    |10  |文本|paymentSchema|渠道代码：[点击查看详情](https://git.allpayx.com/OpenAPI/b2c_pc_payment/src/master/paymentSchema.md)
 11|交易时间    |14  |文本|transTime       |交易时间,格式:"yyyyMMddHHmmss" 
 12|签名类型     |3  |文本|signType        |MD5 
 13|签名      |32  |文本|signature         |采用 MD5 签名 

3.响应报文格式


  序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
 1|版本号|12|文本|version |统一填写为“VER000000002” 
 2|字符集编码 |6|文本|charSet  |统一填写为“UTF-8” 
 3|交易类型  |4|文本|transType |退款填写“REFD” 
 4|订单号   |60|文本|orderNum  |商户自行定义，需保证同一商户号下订单号不能重复 
 5|GW 交易 ID  |32|文本|transID    |GW 系统生成的交易 ID，每笔交易保持唯一  
 6|商户代码   |15 |文本|merID     |商户 ID，由AllPay 分配 
 7|收单行 ID    |11  |文本|acqID      |收单行 ID "99020344" 
 8|交易应答码   |2  |文本|RespCode       |应答码 00-成功  
 9|应答文字信息    |20  |文本|RespMsg        |应答消息，全部为英文字符 
 10|交易时间    |14  |文本|transTime       |交易时间,格式:"yyyyMMddHHmmss" 
 11|GW 处理时间 |14  |文本|GWTime |YYYYMMDDHHMMSS，为 GW 时间，目前为本地交易时间 
 12|签名类型     |3  |文本|signType        |MD5 
 13|签名      |32  |文本|signature         |采用 MD5 签名 

#### 4.渠道专属配置
##### 4.1 EB渠道(跳转）


序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
  1| 姓名     |32  |文本|trxn_firstname         |This is name of the customer who is doing the transaction. 
  2| 邮箱     |40  |文本|trxn_email_id         |this is email id of the customer who is doing transaction.
  3|电话 |20  |文本|trxn_phone|Phone number of the customer.

##### 4.2 UP渠道(跳转）

序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
  1| 银联卡号 |19  | 文本|uCardNumber |境外银联通道，适用于银联优计划。可以不上送，若需要提前填入银行卡号，则上送此字段。

##### 4.3 WX渠道(含跳转和参数返回）

 序号 |名称  |长度|类型|参数名称|备注 
 -----|-----|----|----|------|------
  1| 交易场景代码|16  | 文本|code |1.“NATIVE“：为参数返回方式，返回微信收款URL值, 要求商户将其转换为 QR 码，自己生成支付前端界 面，提示用户扫码付款; 2.“QUICK”：为跳转方式，打开 AllPay 提供的前端页面，页面包含微信 QR 码
##### 4.4 PPRO相关渠道(跳转）
###### 4.4.1 PPRO_AC


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 

Note: AstroPay Card is available for currency USD and country codes BO, BR, CL, CN, CO, CR, MX, PE, UY, VE. 
     
###### 4.4.2 PPRO_AD


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 

Note: AstroPay Direct is available for currency USD and country codes AR, BR, CL, CN, CO, MX, PE, UY. 


###### 4.4.3 PPRO_AR


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Aura (Brazil) is available for currency USD and country code BR. 


###### 4.4.4 PPRO_BA


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Baloto Cash (Colombia) is available for currency USD and country code CO. 


###### 4.4.5 PPRO_BB


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Banco do Brasil (Brazil) is available for currency USD and country code BR. 


###### 4.4.6 PPRO_BO


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Boleto Bancario is available for currency USD and country code BR. 



###### 4.4.7 PPRO_CC


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Cartao MercadoLivre (Brazil) is available for currency USD and country code BR. 

###### 4.4.8 PPRO_DR


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |M   |文本 |RFC compliant email address of the account holder 
phone  |M  |文本 |Valid international phone number of the account holder 

Note: Dragonpay is only available for currency PHP and country code PH. 



###### 4.4.9 PPRO_EN


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |M   |文本 |RFC compliant email address of the account holder 
phone  |M  |文本 |Valid international phone number of the account holder 

Note: eNETS is only available for currency SGD and country code SG. 

###### 4.4.10 PPRO_EP


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 

Note: eps only works for the countrycode “AT” and currency “EUR”. 

###### 4.4.11 PPRO_GP


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
bic |O  |文本 |Valid BIC (8 or 11 alphanumeric letters) of consumer’s bank 


###### 4.4.12 PPRO_HC


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Hipercard (Brazil) is available for currency USD and country code BR. 

###### 4.4.13 PPRO_ID


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 

Note: iDEAL only works for the countrycode “NL” and currency “EUR”. 

###### 4.4.14 PPRO_IT


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: Itaú (Brazil) is available for currency USD and country code BR.

###### 4.4.15 PPRO_MB



 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 

Note: MyBank only works for the country code IT and currency EUR. 


###### 4.4.16 PPRO_PC



 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 



###### 4.4.17 PPRO_PB



 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |M   |文本 |RFC compliant email address of the account holder 
phone  |M  |文本 |Valid international phone number of the account holder 

Note: PAYSBUY Cash is only available for currency THB and country code TH. 



###### 4.4.18 PPRO_PU



 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |M   |文本 |RFC compliant email address of the account holder 

Note: PayU works only for country code/currency combinations CZ/CZK and PL/PLN. 

###### 4.4.19 PPRO_PL


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 

Note: POLi only works for the countrycode/currency combinations “NZ”/”NZD” and “AU/AUD”. 

###### 4.4.20 PPRO_P24


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |M   |文本 |RFC compliant email address of the account holder 

Note: Przelewy24 only works for the countrycode “PL” and currencies “PLN” and “EUR”. 


###### 4.4.21 PPRO_QW


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
mobilephone|M   |文本 |Valid international Russian mobile phone number identifying the QIWI destination account to pay out to (excluding plus sign or any other international prefixes, including a leading 7 for Russia, 11 digits in total, e.g. 71234567890). 


Note:	QIWI Payout only works for the countrycodes “RU”, “KZ” and UA, and - depending on your contract - currency  “RUB” , “EUR” ,”KZT” and “USD”.  
###### 4.4.22 PPRO_SP


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 

Note: SafetyPay only works for country codes “AT”, “BR”, “CO”, “CR”, “DE”, “ES”, “MX”, “NI”, “NL”, “PA”, “PE” and currencies “EUR”, “USD”. 

###### 4.4.23 PPRO_SD


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 


Note: SEPA Direct Debit works for all SEPA countries and currency EUR. 


###### 4.4.24 PPRO_SG


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |M   |文本 |RFC compliant email address of the account holder 
phone  |M  |文本 |Valid international phone number of the account holder 

Note: SingPost (Singapore) is only available for currency SGD and country code SG. 

###### 4.4.25 PPRO_SK


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
email   |O  |文本 |RFC compliant email address of the account holder 
address   |O  |文本 |Consumer’s address (e.g. street) 
zipcode    |O  |文本 |Consumer’s postal code 
city     |O  |文本 |Consumer’s city 

###### 4.4.26 PPRO_DP


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
bic |O  |文本 |Valid BIC (8 or 11 alphanumeric letters) of consumer’s bank 


###### 4.4.27 PPRO_TP


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 

TrustPay works for the following country code/currency combinations: 


CZ 
CZK, EUR 


SK 
EUR 


The currencies available to you may depend on your contract. 


###### 4.4.28 PPRO_WP


 Field name  |M/O   |Type |Description  
 -----|-----|----|----
 countrycode|M   |文本 |The 2-letter ISO country code of the country in which the payment instrument is issued/operated (e.g. DE). For details see payment method specific documentation. 
accountholdername|M   |文本 |The account holder - minimum of 3 characters, up to 100 charac- ters. 
consumerref |M   |文本 |Unique reference identifying the consumer, has to satisfy the regular expression [A-Za-z0-9.%,&/+*$-]{1,20} 
nationalid  |M   |文本 |Consumer’s national id (up to 30 characters) 
email   |M   |文本 |RFC compliant email address of the account holder 
dob    |O   |文本 |Date of birth, format YYYYMMDD 

Note: WebPay is available for currency USD and country code CL. 
#### 5.测试账户

 请注意，支付宝、财付通交易需要用中国实名认证的账户进行测试交易，所有测试交 
易不提供清算服务，请用小额测试。

以下是银联渠道测试卡，仅用于测试使用: 

```
信用卡:5200831111111113 
手机:13552535506
CVN2:123
有效期:2019 年 11 月 
电脑端验证码:111111 
移动端验证码:123456

信用卡:6226388000000095 
手机:18100000000 
CVN2:248
有效期:2019 年 12 月 
电脑端验证码:111111 
移动端验证码:123456 
 
```

#### 6. 错误码

若商户请求AllPay网关时，请求的参数错误或参数缺失时，AllPay网关会将错误信息以JSON格式返回给客户端，供商户解析调用，以下是相关错误信息返回参数的说明

| 参数应答码code | 对应应答信息msg                            |
| -------------- | ------------------------------------------ |
| U1             | Clientid not found                         |
| U2             | Signature error                            |
| V1             | Parameter missing                          |
| E1             | Exceed the limit                           |
| R1             | Orderno repeat                             |
| C1             | Order currency is not set                  |
| P1             | paychannel error                           |
| I1             | Illegal request address                    |
| T1             | Parameter missing（version或tranType）     |
| T2             | Txntype error                              |
| T3             | transaction is not exist or fail           |
| T4             | The maximum amount exceeds the upper limit |
| 99             | System error  

#### 7.技术支持

如果您在调试时遇到问题，请我们联系:support@allpayx.com。 







  


